#define F_CPU	16000000UL
#include <avr/io.h>
#include <avr/interrupt.h>
#include <avr/pgmspace.h>
#include "mydefs.h"
#include <stdlib.h>
#include <portbits.h>
#include "lc7981.h"
#include <util/delay.h>
#include "serial.h"
#include <stdarg.h>
#include <string.h>
#include "bild.h"


void init_all()
{
 ser_init();
lcd_init();
sei();
lcd_bmp(bild, 0 , 0, bildWIDTH, bildHEIGHT);  //Bild laden, Hhe und Breite mssen  
lcd_gotoxy(153,0);			      //in bild.h eingestellt werden.
lcd_writechar('T');			      //es funktionieren nur Bilder die in der Breite 
lcd_gotoxy(153,8);			      //durch 8 teilbar sind weil die Funktion lcd_bmp gleich 1 Byte
lcd_writechar('E');			      //sendet (geht schneller) Hhe ist aber egal
lcd_gotoxy(153,16);			      //Die Bilder knnen mit lcd_bmp(..., XPOS, YPOS,...,...) an die
lcd_writechar('S');			      //gewnschte Position gesetzt werden, falls das Bild
lcd_gotoxy(153,24);			      //auserhalb des Displays ist gibts einen "Error"
lcd_writechar('T');
lcd_gotoxy(153,32);
lcd_writechar('E');
lcd_gotoxy(153,48);
lcd_writechar('B');
lcd_gotoxy(153,56);
lcd_writechar('I');
lcd_gotoxy(153,64);
lcd_writechar('L');
lcd_gotoxy(153,72);
lcd_writechar('D');
}


int main(void)
{
	init_all();	
	
										//initialisieren
for(;;) // Anfang Programm Endlosschleife
  {
   
  } // Ende Programm Endlosschleife
}


